import { MsgPackDecoderFast } from './MsgPackDecoderFast';
import type { IReader, IReaderResettable } from '../../util/buffers';
import type { Path } from '../../json-pointer';
export declare class MsgPackDecoder<R extends IReader & IReaderResettable = IReader & IReaderResettable> extends MsgPackDecoderFast<R> {
    skipAny(): number;
    protected skipArr(size: number): number;
    protected skipObj(size: number): number;
    readLevel(uint8: Uint8Array): unknown;
    protected valOneLevel(): unknown;
    protected primitive(): unknown;
    protected skip(length: number): number;
    validate(value: Uint8Array, offset?: number, size?: number): void;
    readObjHdr(): number;
    readStrHdr(): number;
    findKey(key: string): this;
    readArrHdr(): number;
    findIndex(index: number): this;
    find(path: Path): this;
}
